Page MenuHomePhabricator

Special:History on non-mobile device mishandles username revdel display
Closed, ResolvedPublic

Description

Special:History is designed for mobile browsers. When using a desktop browser, however, Special:History shows the #ifeq parser function logic with for revisions that have had the username revdel'd. This happens regardless of whether the mobile site is requested (i.e., en.m.wikipedia.org/wiki/Special:History/ and en.wikipedia.org/wiki/Special:History/).

You can see an this in the December 4th edits at https://en.m.wikipedia.org/wiki/Special:History/Talk:Twitter and https://en.wikipedia.org/wiki/Special:History/Talk:Twitter

The text shown is: {{#ifeq:{{FULLPAGENAME}}|Special:Contributions| [Username or IP has been suppressed for this edit. As an oversighter you can still see the edit in the user's contributions]|(Username or IP removed)}}

Additionally, while the issue happens for suppressed user names as well, that logic is shown for user names that have been revision deleted only and not suppressed from sysop view.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterCorrect the parsing of [[MediaWiki:Rev-deleted-user]]

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2019, 11:37 AM

Change 491954 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/MobileFrontend@master] Correct the parsing of [[MediaWiki:Rev-deleted-user]]

https://gerrit.wikimedia.org/r/491954

Jdlrobson triaged this task as Low priority.Feb 21 2019, 5:31 PM
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.

Change 491954 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Correct the parsing of [[MediaWiki:Rev-deleted-user]]

https://gerrit.wikimedia.org/r/491954

nray claimed this task.Mar 4 2019, 6:05 PM
nray closed this task as Resolved.Mar 5 2019, 10:39 PM

No longer see the problematic text reported in the description.

nray removed nray as the assignee of this task.Mar 5 2019, 10:39 PM
nray added a subscriber: nray.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptSep 20 2019, 7:48 PM